RANLIB(1)

NAME
ranlib - update archive symbol tables

SYNOPSIS
ranlib [-D] [-t] archive...
ranlib -V

DESCRIPTION
The ranlib utility is used to update an existing archive symbol table in an ar(1) archive, or to add an archive symbol table to an archive lacking one.

OPTIONS
The ranlib utility supports the following options:

-D  Use zeros for the mtime, uid and gid fields, and use mode 0644 for the file mode field for all archive member headers. This ensures that checksums on the resulting archives are reproducible when member contents are identical.

-t  This option is accepted, but is ignored.

-V  Print a version identifier and exit.

EXAMPLES
To update the archive symbol table for an archive lib.a, use:
    ranlib lib.a

DIAGNOSTICS

SEE ALSO
ar(1), ld(1), archive(3), elf(3), ar(5)

HISTORY
The ranlib command first appeared in AT&T UNIX Version 7.

In FreeBSD 8.0, Kai Wang <kaiw@FreeBSD.org> reimplemented ranlib using the libarchive and the libelf.